> ## Documentation Index
> Fetch the complete documentation index at: https://docs.schoolmaker.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete an Offer

> Moves an offer to Trash and removes its accesses from members. Members are not deleted. The offer can be restored from Trash.



## OpenAPI

````yaml delete /offers/{id}
openapi: 3.0.1
info:
  title: SchoolMaker API V1
  description: API for managing your SchoolMaker school
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://schoolmaker.co/api/v1
    description: Production API
security:
  - bearerAuth: []
paths:
  /offers/{id}:
    delete:
      tags:
        - Offers
      summary: Delete an Offer
      description: >-
        Moves an offer to Trash and removes its accesses from members. Members
        are not deleted. The offer can be restored from Trash.
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Successful response.
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                  deleted:
                    type: boolean
        '401':
          description: Missing or invalid API credentials.
          content:
            application/json:
              schema:
                type: object
                additionalProperties: true
              example:
                error: Access denied
        '404':
          description: Record not found in your school.
          content:
            application/json:
              schema:
                type: object
                additionalProperties: true
              example:
                error: Record not found
        '422':
          description: Invalid offer details.
          content:
            application/json:
              schema:
                type: object
                additionalProperties: true
              example:
                error: 'Invalid arguments: /attributes/name minLength'
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.